The One Codex API communicates errors with standard HTTP status codes with details supplied in JSON objects. The following general pattern applies:2XX: We received, processed, and accepted a request.3XX: More action is required in order to complete the request. We use redirects sparingly.4XX: Client error. Common errors relate to invalid parameters or our inability to find and serve the requested resource.5XX: Server error. An error occurred on our system(s) while handling the request.
An error message detailing why the request was unsuccessful.
Status integer
HTTP status code
EXAMPLE ERROR
{ "message": "The server could not verify that you are authorized to access the URL requested. You either supplied the wrong credentials...", "status": 401}
⌘I
{"docsConfig":{"theme":"willow","$schema":"https://mintlify.com/docs.json","name":"One Codex Developer Docs","description":"Documentation for the One Codex API and Python SDK. One Codex is a fast, easy-to-use platform for microbiome sequencing and analysis.","colors":{"primary":"#179B9A","light":"#6BC7B7","dark":"#179B9A"},"logo":{"light":"https://mintcdn.com/onecodex/DiToQ9fYtYBO3lRU/images/onecodex-logo-inverse@2x.png?fit=max\u0026auto=format\u0026n=DiToQ9fYtYBO3lRU\u0026q=85\u0026s=5cd285bf3bec7809faf0d8cd8274bb38","dark":"https://mintcdn.com/onecodex/DiToQ9fYtYBO3lRU/images/onecodex-logo@2x.png?fit=max\u0026auto=format\u0026n=DiToQ9fYtYBO3lRU\u0026q=85\u0026s=61398ceaeb352dc656dd2bdfecd053ff"},"favicon":"https://mintcdn.com/onecodex/DiToQ9fYtYBO3lRU/ocx_favicon-64.png?fit=max\u0026auto=format\u0026n=DiToQ9fYtYBO3lRU\u0026q=85\u0026s=697811a0b3a57d419f2e697f4c6e1da3","navbar":{"links":[{"href":"mailto:support@onecodex.com","label":"Support"},{"href":"https://onecodex.github.io/onecodex/","label":"Python SDK"}],"primary":{"type":"button","label":"Platform","href":"https://app.onecodex.com"}},"footer":{"socials":{"x":"https://x.com/onecodex","bluesky":"https://bsky.app/profile/onecodex.bsky.social","github":"https://github.com/onecodex","linkedin":"https://linkedin.com/company/onecodex"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"onecodex","hasAudioNarration":false,"actualSubdomain":"onecodex","customDomains":["developer.onecodex.com"],"gitSource":{"type":"github","owner":"onecodex","repo":"mainline","deployBranch":"master","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ada70f7059de5a640576a22","collectionId":"28a4489c-743b-4516-a9b1-0d7391717952","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ada70f7059de5a640576a22"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6ada70f7059de5a640576a22","clientVersion":"0.0.3939","searchFilterCounts":[{"language":"default","tag":"API Docs","count":103},{"language":"default","tag":"Analyses","count":30},{"language":"default","tag":"Workflows","count":19},{"language":"default","tag":"Documents","count":11},{"language":"default","tag":"Projects","count":11},{"language":"default","tag":"Samples","count":11},{"language":"default","tag":"API Basics","count":8},{"language":"default","tag":"Metadata \u0026 Tags","count":8},{"language":"default","tag":"Webhooks \u0026 Events","count":7},{"language":"default","tag":"Jobs","count":7}]},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"isAtlas":false,"googleFontsInlined":true},"customCss":[],"page":{"pagePath":"api-reference/errors","slug":"/api-reference/errors","pageMetadata":{"title":"Errors","description":null,"href":"/api-reference/errors"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,CodeGroup,Heading,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`The One Codex API communicates errors with `,_jsx(_components.a,{href:`http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html`,children:`standard HTTP status codes`}),` with details supplied in JSON objects. The following general pattern applies:`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`2XX`}),`: We received, processed, and accepted a request.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`3XX`}),`: More action is required in order to complete the request. We use redirects sparingly.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`4XX`}),`: Client error. Common errors relate to invalid parameters or our inability to find and serve the requested resource.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`5XX`}),`: Server error. An error occurred on our system(s) while handling the request.`]}),`\n`,_jsx(Heading,{level:`2`,id:`http-status-codes`,children:`HTTP Status Codes`}),`\n`,_jsx(CodeGroup,{children:_jsx(CodeBlock,{filename:`Codes`,numberOfLines:`17`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`17`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`200 success`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`201 created`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`202 accepted`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`204 no_content`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`302 redirect`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`304 not_modified`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`400 bad_request`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`401 unauthorized`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`403 forbidden`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`404 not_found`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`405 method_not_allowed`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`409 conflict`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`412 precondition_failed`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`429 too_many_requests`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`500 internal_server_error`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`503 unavailable`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})}),`\n`,_jsx(Heading,{level:`2`,id:`error-response`,children:`Error Response`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Field`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Message`}),` string`]}),_jsx(_components.td,{children:`An error message detailing why the request was unsuccessful.`})]}),_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Status`}),` integer`]}),_jsx(_components.td,{children:`HTTP status code`})]})]})]}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`EXAMPLE ERROR`})}),`\n`,_jsx(CodeGroup,{children:_jsx(CodeBlock,{filename:`json`,numberOfLines:`4`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The server could not verify that you are authorized to access the URL requested. You either supplied the wrong credentials...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`401`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Errors","description":null,"href":"/api-reference/errors"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"HTTP Status Codes","slug":"http-status-codes","depth":2,"children":[]},{"title":"Error Response","slug":"error-response","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":["/_mintlify/custom/onecodex/38c32b33da45a451/restore-ref.js"],"subdomain":"onecodex","siteName":"One Codex Developer Docs","title":"Errors - One Codex Developer Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-15T09:07:09.145Z","originalFileLocation":"api-reference/errors.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"One Codex Developer Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Errors - One Codex Developer Docs\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"One Codex Developer Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developer.onecodex.com/api-reference/errors\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://onecodex.mintlify.app/_mintlify/api/og/v2?division=API+Basics\u0026amp;title=Errors\u0026amp;theme=5d01258aa2844ff8ea76a2c8\u0026amp;signature=4d1cce834714418ada9a8e1bd2d983932804ad1d3cde8dc9528951349f2a81b6\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Errors - One Codex Developer Docs\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://onecodex.mintlify.app/_mintlify/api/og/v2?division=API+Basics\u0026amp;title=Errors\u0026amp;theme=5d01258aa2844ff8ea76a2c8\u0026amp;signature=4d1cce834714418ada9a8e1bd2d983932804ad1d3cde8dc9528951349f2a81b6\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"One Codex Developer Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#179B9A\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developer.onecodex.com/api-reference/errors\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/errors.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developer.onecodex.com/#organization\",\"name\":\"One Codex Developer Docs\",\"url\":\"https://developer.onecodex.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/onecodex/DiToQ9fYtYBO3lRU/images/onecodex-logo-inverse@2x.png?fit=max\u0026auto=format\u0026n=DiToQ9fYtYBO3lRU\u0026q=85\u0026s=5cd285bf3bec7809faf0d8cd8274bb38\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developer.onecodex.com#website\",\"name\":\"One Codex Developer Docs\",\"url\":\"https://developer.onecodex.com\",\"publisher\":{\"@id\":\"https://developer.onecodex.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developer.onecodex.com/api-reference/errors#webpage\",\"url\":\"https://developer.onecodex.com/api-reference/errors\",\"name\":\"Errors\",\"dateModified\":\"2026-09-15T09:07:09.145Z\",\"isPartOf\":{\"@id\":\"https://developer.onecodex.com#website\"},\"breadcrumb\":{\"@id\":\"https://developer.onecodex.com/api-reference/errors#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developer.onecodex.com/api-reference/errors#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Basics\",\"item\":\"https://developer.onecodex.com/api-reference/getting-started\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Errors\",\"item\":\"https://developer.onecodex.com/api-reference/errors\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://developer.onecodex.com/api-reference/errors#article\",\"headline\":\"Errors\",\"name\":\"Errors\",\"url\":\"https://developer.onecodex.com/api-reference/errors\",\"mainEntityOfPage\":{\"@id\":\"https://developer.onecodex.com/api-reference/errors#webpage\"},\"dateModified\":\"2026-09-15T09:07:09.145Z\",\"publisher\":{\"@id\":\"https://developer.onecodex.com/#organization\"},\"isPartOf\":{\"@id\":\"https://developer.onecodex.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"One Codex Developer Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"One Codex Developer Docs","nav":{"global":null,"tabs":[{"tab":"API Docs","groups":[{"group":"API Basics","pages":[{"title":"Getting Started","href":"/api-reference/getting-started"},{"title":"Authentication","href":"/api-reference/authentication"},{"title":"API Documentation","href":"/api-reference/api-documentation"},{"title":"CLI \u0026 Client Library (Python)","href":"/api-reference/command-line-interface"},{"title":"Jupyter Notebooks","href":"/api-reference/jupyter-notebooks"},{"title":"Pagination","description":null,"href":"/api-reference/pagination"},{"title":"Errors","href":"/api-reference/errors"},{"title":"Rate Limits","description":null,"href":"/api-reference/rate-limits"}]},{"group":"Samples","pages":[{"title":"The Sample Resource","href":"/api-reference/sample-resource"},{"title":"Retrieve All Samples","openapi":"GET /api/v1/samples","href":"/api-reference/sample-resource-instances"},{"title":"Retrieve A Sample","openapi":"GET /api/v1/samples/{id}","href":"/api-reference/sample-resource-get"},{"title":"Retrieve Public Samples","openapi":"GET /api/v1/samples/public","href":"/api-reference/sample-resource-instances-public"},{"group":"Uploading Samples","pages":[{"title":"Uploads Overview","href":"/api-reference/uploading-samples"},{"title":"Starting an Upload","openapi":"POST /api/v1/samples/init_upload","href":"/api-reference/sample-resource-upload-file"},{"title":"Confirming an Upload","openapi":"POST /api/v1/samples/confirm_upload","href":"/api-reference/sample-resource-confirm-upload"},{"title":"Pre-Uploading Samples","openapi":"POST /api/v1/samples/preupload","href":"/api-reference/sample-resource-preupload"}]},{"title":"Updating Samples","openapi":"Patch /api/v1/samples/{id}","href":"/api-reference/sample-resource-patch"},{"title":"Downloading Sequence Data","openapi":"POST /api/v1/samples/{id}/download_uri","href":"/api-reference/sample-resource-download"},{"title":"Delete A Sample","openapi":"DELETE /api/v1/samples/{id}","href":"/api-reference/sample-resource-delete"}]},{"group":"Projects","pages":[{"title":"The Project Resource","href":"/api-reference/project-resource"},{"title":"Retrieve All Projects","openapi":"GET /api/v1/projects","href":"/api-reference/project-resource-instances"},{"title":"Retrieve Public Projects","openapi":"GET /api/v1/projects/public","href":"/api-reference/project-resource-instances-public"},{"title":"Retrieve A Project","openapi":"GET /api/v1/projects/{id}","href":"/api-reference/project-resource-get"},{"title":"Create A Project","openapi":"POST /api/v1/projects","href":"/api-reference/project-resource-create"},{"title":"Update A Project","openapi":"PATCH /api/v1/projects/{id}","href":"/api-reference/project-resource-patch"},{"title":"Delete A Project","openapi":"DELETE /api/v1/projects/{id}","href":"/api-reference/project-resource-delete"},{"group":"Sharing \u0026 Members","pages":[{"title":"List Project Members","openapi":"GET /api/v1/projects/{id}/members","href":"/api-reference/project-resource-members"},{"title":"Add A User To A Project","openapi":"POST /api/v1/projects/{id}/add_user","href":"/api-reference/project-resource-add-user"},{"title":"Remove A User From A Project","openapi":"POST /api/v1/projects/{id}/remove_user","href":"/api-reference/project-resource-remove-user"},{"title":"Change Project Sharing","openapi":"POST /api/v1/projects/{id}/change_sharing","href":"/api-reference/project-resource-change-sharing"}]}]},{"group":"Metadata \u0026 Tags","pages":[{"title":"The Metadata Resource","href":"/api-reference/metadata-resource"},{"title":"The Tag Resource","href":"/api-reference/tag-resource"},{"title":"Retrieve All Metadata","openapi":"GET /api/v1/metadata","href":"/api-reference/metadata-resource-instances"},{"title":"Retrieve A Metadata Record","openapi":"GET /api/v1/metadata/{id}","href":"/api-reference/metadata-resource-get"},{"title":"Retrieve All Tags","openapi":"GET /api/v1/tags","href":"/api-reference/tag-resource-instances"},{"title":"Retrieve A Tag","openapi":"GET /api/v1/tags/{id}","href":"/api-reference/tag-resource-get"},{"title":"Create A Tag","openapi":"POST /api/v1/tags","href":"/api-reference/tag-resource-create"},{"title":"Updating Metadata","openapi":"PATCH /api/v1/metadata/{id}","href":"/api-reference/metadata-resource-patch"}]},{"group":"Analyses","pages":[{"title":"The Analysis Resource","href":"/api-reference/analysis-resource"},{"title":"Retrieve All Analyses","openapi":"GET /api/v1/analyses","href":"/api-reference/analysis-resource-instances"},{"title":"Retrieve An Analysis","openapi":"GET /api/v1/analyses/{id}","href":"/api-reference/analysis-resource-get"},{"title":"Retrieve Analysis Results","openapi":"GET /api/v1/analyses/{id}/results","href":"/api-reference/analysis-resource-results"},{"title":"Retrieve Analysis Output File Details","openapi":"GET /api/v1/analyses/{id}/file_details","href":"/api-reference/analysis-resource-file-details"},{"group":"Classifications","pages":[{"title":"The Classification Resource","href":"/api-reference/classification-resource"},{"title":"Retrieve All Classifications","openapi":"GET /api/v1/classifications","href":"/api-reference/classification-resource-instances"},{"title":"Retrieve A Classification","openapi":"GET /api/v1/classifications/{id}","href":"/api-reference/classification-resource-get"},{"title":"Retrieve Classification Results","openapi":"GET /api/v1/classifications/{id}/results","href":"/api-reference/classification-resource-results"},{"title":"Read-Level Results","openapi":"GET /api/v1/classifications/{id}/readlevel","href":"/api-reference/classification-resource-read-level"}]},{"group":"Functional Profiles","pages":[{"title":"The Functional Profile Resource","href":"/api-reference/functional-profile-resource"},{"title":"Retrieve All Functional Profiles","openapi":"GET /api/v1/functional_profiles","href":"/api-reference/functional-profile-resource-instances"},{"title":"Retrieve A Functional Profile","openapi":"GET /api/v1/functional_profiles/{id}","href":"/api-reference/functional-profile-resource-get"},{"title":"Functional Profile Results","openapi":"GET /api/v1/functional_profiles/{id}/results","href":"/api-reference/functional-profile-resource-results"},{"title":"Functional Profile Filtered Results","openapi":"GET /api/v1/functional_profiles/{id}/filtered_results","href":"/api-reference/functional-profile-resource-filtered-results"}]},{"group":"Panels","pages":[{"title":"The Panel Resource","href":"/api-reference/panel-resource"},{"title":"Retrieve All Panels","openapi":"GET /api/v1/panels","href":"/api-reference/panel-resource-instances"},{"title":"Retrieve A Panel","openapi":"GET /api/v1/panels/{id}","href":"/api-reference/panel-resource-get"},{"title":"Panel Results","openapi":"GET /api/v1/panels/{id}/results","href":"/api-reference/panel-resource-results"}]},{"group":"Alignments","pages":[{"title":"The Alignment Resource","href":"/api-reference/alignment-resource"},{"title":"Retrieve All Alignments","openapi":"GET /api/v1/alignments","href":"/api-reference/alignment-resource-instances"},{"title":"Retrieve An Alignment","openapi":"GET /api/v1/alignments/{id}","href":"/api-reference/alignment-resource-get"}]},{"group":"MLST","pages":[{"title":"The MLST Resource","href":"/api-reference/mlst-resource"},{"title":"Retrieve All MLST Results","openapi":"GET /api/v1/mlsts","href":"/api-reference/mlst-resource-instances"},{"title":"Retrieve An MLST Result","openapi":"GET /api/v1/mlsts/{id}","href":"/api-reference/mlst-resource-get"},{"title":"MLST Results","openapi":"GET /api/v1/mlsts/{id}/results","href":"/api-reference/mlst-resource-results"}]},{"group":"Workflows","pages":[{"title":"The Workflow Resource","href":"/api-reference/workflow-resource"},{"title":"Retrieve All Workflow Runs","openapi":"GET /api/v1/workflows","href":"/api-reference/workflow-resource-instances"},{"title":"Retrieve A Workflow Run","openapi":"GET /api/v1/workflows/{id}","href":"/api-reference/workflow-resource-get"},{"title":"Workflow Results","openapi":"GET /api/v1/workflows/{id}/results","href":"/api-reference/workflow-resource-results"}]}]},{"group":"Jobs","pages":[{"title":"The Job Resource","href":"/api-reference/job-resource"},{"title":"Retrieve All Jobs","openapi":"GET /api/v1/jobs","href":"/api-reference/job-resource-instances"},{"title":"Retrieve A Job","openapi":"GET /api/v1/jobs/{id}","href":"/api-reference/job-resource-get"},{"title":"Job Details","openapi":"GET /api/v1/jobs/{id}/details","href":"/api-reference/job-resource-details"},{"title":"Create A Job","openapi":"POST /api/v1/jobs","href":"/api-reference/job-resource-create"},{"title":"Update A Job","openapi":"PATCH /api/v1/jobs/{id}","href":"/api-reference/job-resource-patch"},{"title":"Run A Job","openapi":"POST /api/v1/jobs/{id}/run","href":"/api-reference/job-resource-run"}]},{"group":"Documents","pages":[{"title":"The Document Resource","href":"/api-reference/document-resource"},{"title":"Retrieve All Documents","openapi":"GET /api/v1/documents","href":"/api-reference/document-resource-instances"},{"title":"Retrieve A Document","openapi":"GET /api/v1/documents/{id}","href":"/api-reference/document-resource-get"},{"group":"Uploading Documents","pages":[{"title":"Uploading Documents Overview","href":"/api-reference/uploading-documents"},{"title":"Starting a Document Upload","openapi":"POST /api/v1/documents/init_upload","href":"/api-reference/document-resource-upload-file"},{"title":"Confirming an Upload","openapi":"POST /api/v1/documents/confirm_upload","href":"/api-reference/document-resource-confirm-upload"}]},{"title":"Downloading Documents","openapi":"POST /api/v1/documents/{id}/download_uri","href":"/api-reference/document-resource-download"},{"title":"Rename A Document","openapi":"PATCH /api/v1/documents/{id}/rename","href":"/api-reference/document-resource-rename"},{"title":"Delete A Document","openapi":"DELETE /api/v1/documents/{id}","href":"/api-reference/document-resource-delete"},{"group":"Sharing","pages":[{"title":"Share A Document With A User","openapi":"POST /api/v1/documents/{id}/add_user","href":"/api-reference/document-resource-add-user"},{"title":"Revoke A User's Document Access","openapi":"POST /api/v1/documents/{id}/remove_user","href":"/api-reference/document-resource-remove-user"}]}]},{"group":"Webhooks \u0026 Events","pages":[{"title":"Using Webhooks","href":"/api-reference/using-webhooks"},{"title":"Checking Signatures","href":"/api-reference/checking-webhook-signatures"},{"title":"The Webhook Resource","href":"/api-reference/webhook-resource"},{"title":"Retrieve All Webhooks","openapi":"GET /api/v1/webhooks","href":"/api-reference/webhook-resource-instances"},{"title":"Retrieve A Webhook","openapi":"GET /api/v1/webhooks/{id}","href":"/api-reference/webhook-resource-get"},{"title":"Retrieve All Events","openapi":"GET /api/v1/events","href":"/api-reference/event-resource-instances"},{"title":"Retrieve An Event","openapi":"GET /api/v1/events/{id}","href":"/api-reference/event-resource-get"}]},{"group":"Users \u0026 Account","pages":[{"title":"The Account Resource","href":"/api-reference/account-resource"},{"title":"Retrieve The Authenticated Account","openapi":"GET /api/v1/account","href":"/api-reference/account-resource-get"},{"title":"The User Resource","href":"/api-reference/user-resource"},{"title":"Retrieve All Users","openapi":"GET /api/v1/users","href":"/api-reference/user-resource-instances"},{"title":"Retrieve A User","openapi":"GET /api/v1/users/{id}","href":"/api-reference/user-resource-get"}]},{"group":"Sequencing","pages":[{"title":"The Sequencing Batch Resource","href":"/api-reference/sequencing-batch-resource"},{"title":"Retrieve All Sequencing Batches","openapi":"GET /api/v1/sequencing/batches","href":"/api-reference/sequencing-batch-resource-instances"},{"title":"Retrieve A Sequencing Batch","openapi":"GET /api/v1/sequencing/batches/{id}","href":"/api-reference/sequencing-batch-resource-get"},{"title":"Registering a Sequencing Batch","openapi":"POST /api/v1/sequencing/batches/register","href":"/api-reference/sequencing-batch-resource-post"},{"title":"Retrieve Samples in a Sequencing Batch","openapi":"GET /api/v1/sequencing/batches/{id}/samples","href":"/api-reference/sequencing-batch-resource-samples"}]}]},{"tab":"Workflows","pages":[{"title":"Workflows","href":"/workflows/workflows-introduction"}]}]},"title":"Errors - One Codex Developer Docs","buildId":"dpl_5UDDZ9hnigTkoV7QtvQ39eUp84nu","deploymentId":"dpl_5UDDZ9hnigTkoV7QtvQ39eUp84nu","dynamics":[],"chunks":[]}